"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.warnMissingNativeModule = exports.getNativeModule = exports.AnalyticsReactNativeModuleEvents = exports.AnalyticsReactNativeModuleEmitter = exports.AnalyticsReactNativeModule = void 0;
var _reactNative = require("react-native");
const warnMissingNativeModule = () => {
  const MISSING_NATIVE_MODULE_WARNING = "The package 'analytics-react-native' can't access a custom native module. Make sure: \n\n" + _reactNative.Platform.select({
    ios: "- You have run 'pod install'\n",
    default: ''
  }) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
  console.warn(MISSING_NATIVE_MODULE_WARNING);
};
exports.warnMissingNativeModule = warnMissingNativeModule;
const getNativeModule = moduleName => {
  const module = _reactNative.NativeModules[moduleName] ?? undefined;
  if (module === undefined) {
    warnMissingNativeModule();
  }
  return module;
};

// Native Module types
exports.getNativeModule = getNativeModule;
const AnalyticsReactNativeModule = exports.AnalyticsReactNativeModule = (() => {
  const nativeModule = getNativeModule('AnalyticsReactNative');
  if (nativeModule === undefined && (_reactNative.Platform.OS === 'android' || _reactNative.Platform.OS === 'ios')) {
    warnMissingNativeModule();
    return;
  }
  return nativeModule;
})();
const AnalyticsReactNativeModuleEmitter = exports.AnalyticsReactNativeModuleEmitter = AnalyticsReactNativeModule !== undefined ? new _reactNative.NativeEventEmitter(AnalyticsReactNativeModule) : undefined;
const AnalyticsReactNativeModuleEvents = exports.AnalyticsReactNativeModuleEvents = AnalyticsReactNativeModule?.getConstants?.() ?? {
  SET_ANONYMOUS_ID: 'add-anonymous-id',
  SET_DEEPLINK: 'add-deepLink-data'
};
//# sourceMappingURL=native-module.js.map